﻿using LightCube;
using LightCube.Scene;
using LightCube.Shape;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo
{
    class Program
    {
        static void Main(string[] args)
        {
            Mono8 mono8 = new Mono8();
            mono8.Connect("COM1");

            Point3D pixel = Point3D.Zero;
            for (; pixel.Z < Mono8.Size; pixel.Z++)
            {
                for (; pixel.Y < Mono8.Size; pixel.Y++)
                {
                    for (; pixel.X < Mono8.Size; pixel.X++)
                    {
                        mono8.Draw(pixel, LightColor.White);
                        mono8.Flush();
                    }
                }
            }
            
            DotShape dot = new DotShape();
            MoveScene movingDot = new MoveScene(Mono8.Size, new IShape[] { dot }, new Point3D { X = 1, Y = 1, Z = 1 }, Mono8.Size * 10, true);
            while (mono8.DrawSceneFrame(movingDot));

            mono8.Disconnect();
        }
    }
}