﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LightCube.Shape
{
    public class CharacterShape : IShape
    {
        private char character;

        public CharacterShape(char character)
        {
            this.character = character;
        }

        public void Draw(Buffer3D buffer)
        {
            switch (character)
            {
                case 'A':
                    buffer.SetPixels(
                        new Point3D[] 
                        {
                            new Point3D(3, 0, 0), 
                            new Point3D(4, 0, 0), 
                            new Point3D(3, 1, 0), 
                            new Point3D(4, 1, 0), 
                            new Point3D(2, 2, 0), 
                            new Point3D(3, 2, 0), 
                            new Point3D(4, 2, 0), 
                            new Point3D(5, 2, 0), 
                            new Point3D(2, 3, 0), 
                            new Point3D(5, 3, 0), 
                            new Point3D(1, 4, 0), 
                            new Point3D(2, 4, 0), 
                            new Point3D(3, 4, 0), 
                            new Point3D(4, 4, 0), 
                            new Point3D(5, 4, 0), 
                            new Point3D(6, 4, 0), 
                            new Point3D(1, 5, 0), 
                            new Point3D(2, 5, 0), 
                            new Point3D(3, 5, 0), 
                            new Point3D(4, 5, 0), 
                            new Point3D(5, 5, 0), 
                            new Point3D(6, 5, 0), 
                            new Point3D(0, 6, 0), 
                            new Point3D(1, 6, 0), 
                            new Point3D(6, 6, 0), 
                            new Point3D(7, 6, 0), 
                            new Point3D(0, 7, 0), 
                            new Point3D(7, 7, 0), 
                        }, 
                        LightColor.White);
                    break;
            }
        }
    }
}
